List DeploymentResources
curl --request GET \
--url https://api.ravion.com/deployment-resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/deployment-resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/deployment-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
{
"data": {
"clusterArn": "<string>",
"taskArn": "<string>",
"taskDefinitionArn": "<string>",
"type": "ECS_TASK",
"availabilityZone": "<string>",
"capacityProviderName": "<string>",
"connectivity": "<string>",
"containerInstanceArn": "<string>",
"deprovisioningAt": "2023-11-07T05:31:56Z",
"exitCode": 123,
"healthStatus": "<string>",
"launchType": "<string>",
"pendingAt": "2023-11-07T05:31:56Z",
"platformVersion": "<string>",
"provisioningAt": "2023-11-07T05:31:56Z",
"pullStartedAt": "2023-11-07T05:31:56Z",
"pullStoppedAt": "2023-11-07T05:31:56Z",
"runTaskOverrides": {
"capacity_provider_strategy": [
{
"capacity_provider": "<string>",
"base": 50000,
"weight": 500
}
],
"container_overrides": [
{
"name": "<string>",
"command": [
"<string>"
],
"cpu": 123,
"environment": [
{
"name": "<string>",
"value": "<string>"
}
],
"environment_files": [
{
"type": "s3",
"value": "<string>"
}
],
"memory": 123,
"memory_reservation": 123,
"resource_requirements": [
{
"value": "<string>"
}
]
}
],
"cpu": "<string>",
"enable_ecs_managed_tags": true,
"enable_execute_command": true,
"ephemeral_storage": {
"size_in_gib": 110
},
"execution_role_arn": "<string>",
"group": "<string>",
"memory": "<string>",
"network_configuration": {
"awsvpc_configuration": {
"subnets": [
"<string>"
],
"security_groups": [
"<string>"
]
}
},
"placement_constraints": [
{
"expression": "<string>"
}
],
"placement_strategy": [
{
"field": "<string>"
}
],
"platform_version": "<string>",
"reference_id": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"task_role_arn": "<string>",
"timeout": 2,
"volume_configurations": [
{
"name": "<string>",
"managed_ebs_volume": {
"role_arn": "<string>",
"encrypted": true,
"filesystem_type": "<string>",
"iops": 123,
"kms_key_id": "<string>",
"size_in_gib": 123,
"snapshot_id": "<string>",
"tag_specifications": [
{
"resource_type": "volume",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"termination_policy": {
"delete_on_termination": true
},
"throughput": 123,
"volume_initialization_rate": 123,
"volume_type": "<string>"
}
}
]
},
"runningAt": "2023-11-07T05:31:56Z",
"startedBy": "<string>",
"stopCode": "<string>",
"stoppedReason": "<string>",
"targetGroupSnapshot": {
"capturedAt": "2023-11-07T05:31:56Z",
"source": "event-ingest",
"targetGroupArn": "<string>",
"taskTarget": {
"id": "<string>",
"rawId": "<string>",
"state": "<string>",
"description": "<string>",
"port": 123,
"reasonCode": "<string>"
},
"healthCheck": {
"port": "<string>",
"protocol": "<string>",
"healthyThresholdCount": 123,
"intervalSeconds": 123,
"matcherSummary": "<string>",
"path": "<string>",
"timeoutSeconds": 123,
"unhealthyThresholdCount": 123
},
"targetGroupName": "<string>"
},
"taskDefinitionFamily": "<string>",
"taskDefinitionRevision": 123,
"taskGroup": "<string>",
"taskTargetId": "<string>"
},
"externalId": "<string>",
"firstSeenAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"lastEventAt": "2023-11-07T05:31:56Z",
"moduleDeploymentId": "<string>",
"desiredStatus": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
},
"lastStatus": "<string>",
"moduleInstanceId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}DeploymentResources
List DeploymentResources
GET
/
deployment-resources
List DeploymentResources
Was this page helpful?
⌘I